Bug 1129012 - Unable to add description for "Affinity Group" with space character.
Summary: Unable to add description for "Affinity Group" with space character.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.1-1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks: rhev3.5beta3
TreeView+ depends on / blocked
 
Reported: 2014-08-12 05:50 UTC by Udayendu Sekhar Kar
Modified: 2019-04-28 10:04 UTC (History)
10 users (show)

Fixed In Version: vt4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:07:18 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 32314 master MERGED common: allow spaces for affiniy group desc Never
oVirt gerrit 32357 ovirt-engine-3.5 MERGED common: allow spaces for affinity group desc Never

Description Udayendu Sekhar Kar 2014-08-12 05:50:47 UTC
Description of problem:
Unable to add description to affinity group with a space character. For example if I would like to add "Different Host" as the description, its showing the below error message in a "Operation Canceled" windows:

---
Error while executing action: Cannot edit Affinity Group. Description field is invalid.
---

But its allowing to save it without space like "Different_Host".

Also if I will try to edit an existing affinity group the description field is showing blank. It should show the available description.

Version-Release number of selected component (if applicable):
rhevm 3.4.1

How reproducible:
100%

Steps to Reproduce:
1. Go to the Virtual Machines Tab
2. Select a VM
3. In the lower pan go to the "Affinity Group" and click on New or Edit and then try to enter something in the Description field.

Actual results:
Description field is not allowing the entry with a space character.

Expected results:
It should allow with the space character and for edit, it should show the existing description.

Comment 1 Eyal Edri 2014-09-10 21:29:07 UTC
bug fixed in vt3.
if you think it's not included in latest build, please contact rhev-integ@redhat.com

Comment 2 Lukas Svaty 2014-09-16 12:17:51 UTC
in vt3
	
Operation Canceled
Error while executing action: Cannot add Affinity Group. Description field is invalid.

Used description: 'foo bar'

Comment 3 Gilad Chaplik 2014-09-28 13:19:20 UTC
looks like it wasn't included in vt3.

setting vt4 and ON_QA

Comment 4 Lukas Svaty 2014-10-02 11:50:47 UTC
same behaviour as in comment#2

Comment 5 Lukas Svaty 2014-10-02 11:56:54 UTC
My mistake on the verification.. moving to VERIFIED

Comment 7 errata-xmlrpc 2015-02-11 18:07:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.